Opened 3 years ago

Closed 3 years ago

#55777 closed defect (worksforme)

gnuradio @3.7.11_6 configure failure : cannot find pygtk

Reported by: dimkab Owned by: michaelld (Michael Dickens)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: gnuradio

Description

The problem seems to be here:

:info:configure -- Python checking for pygtk >= 2.10.0 - not found

Attachments (2)

CMakeOutput.log (68.8 KB) - added by dimkab 3 years ago.
main.log (394.5 KB) - added by dimkab 3 years ago.

Download all attachments as: .zip

Change History (7)

Changed 3 years ago by dimkab

Attachment: CMakeOutput.log added

Changed 3 years ago by dimkab

Attachment: main.log added

comment:1 Changed 3 years ago by dimkab

Cc: dimkab added

comment:2 Changed 3 years ago by mf2k (Frank Schima)

Cc: dimkab removed
Owner: set to michaelld
Status: newassigned

In the future, please Cc the port maintainers (port info --maintainers gnuradio), if any.

As reporter, you do not need to Cc yourself.

Last edited 3 years ago by mf2k (Frank Schima) (previous) (diff)

comment:3 Changed 3 years ago by michaelld (Michael Dickens)

OK. What do the following commands return:

port installed py27-pygtk

If the above returns something with "(active)", then:

/opt/local/bin/python2.7 -c "import pygtk; print pygtk._get_available_versions()"

comment:4 Changed 3 years ago by dimkab

The issue was with the cairo/py27-cairo packages: trying to do import cairo resulted in an error. After manually rebuilding those two, problem solved.

comment:5 Changed 3 years ago by michaelld (Michael Dickens)

Resolution: worksforme
Status: assignedclosed

OK thanks for reporting back.

Note: See TracTickets for help on using tickets.